<div class="mt-4 w-100 item-booking-section">
	<div class="product-container my-4 booking-container">
		<div class="booking-header p-4">
			{{ _("Select a slot") }}
		</div>
		<div class="booking-container" mode="both" id="booking-container">
			<div class="booking-calendar bookings__with-spinner"></div>
			<div class="booking-sidebar" id="booking-sidebar">
				{% set close_js = "document.getElementById('booking-sidebar').classList.remove('booking-sidebar--popup');" %}
				<div class="booking-sidebar__modal">
					<div class="booking-selector bookings__with-spinner"></div>
					<div class="booking-selector-instructions">
						<div class="text-muted center-content h-100 text-center p-4" style="text-wrap: pretty;">
							{{ _("Please click a date to see available slots.") }}
							{{ _("Or click a slot to add it to your cart.") }}
						</div>
					</div>
					<div class="d-flex flex-column align-center justify-center">
						<button type="button" class="btn btn-default booking-sidebar__close" style="display: none;" onclick="{{ close_js | e }}">{{ _("Close") }}</button>
					</div>
				</div>
				<div class="booking-sidebar__backdrop" aria-hidden="true" onclick="{{ close_js | e }}"></div>
			</div>
		</div>
	</div>
</div>

<style>
.booking-container {
	position: relative;
}
.booking-container[mode="both"] {
	display: flex;
	flex-wrap: wrap;
	gap: 16px;
}
.booking-container[mode="both"] > .booking-calendar {
	flex: 3 1 500px;
}
.booking-container[mode="both"] > .booking-sidebar {
	flex: 1 0 250px;
}

.booking-sidebar .booking-selector:empty,
.booking-sidebar .booking-selector-instructions {
	display: none;
}
.booking-sidebar .booking-selector:empty + .booking-selector-instructions {
	display: block;
}

.booking-container .fc-toolbar-title {
	padding: 0px 8px !important;
	min-width: 0px !important;
}

@media (max-width: 900px) {
	.booking-container .fc-timegrid-axis {
		visibility: hidden;
	}
	.booking-container .fc-timegrid-slot {
		visibility: hidden;
	}
	.booking-container colgroup > col:first-child {
		width: 0px !important;
	}
	.booking-container > .booking-calendar {
		margin: 0px -12px;
	}
}


@media (max-width: 900px) {
	.booking-sidebar {
		top: 0px;
		left: 0px;
		right: 0px;
		bottom: 0px;
		position: fixed;
		z-index: 100;
		overflow: hidden;
		overscroll-behavior: contain;
		display: flex;
		align-items: center;
		justify-content: center;
	}

	.booking-sidebar:not(.booking-sidebar--popup) {
		display: none;
	}

	.booking-sidebar__close {
		display: block !important;
	}

	.booking-sidebar__backdrop {
		top: 0px;
		left: 0px;
		right: 0px;
		bottom: 0px;
		content: "";
		position: absolute;
		z-index: 1;
		background-color: rgba(0,0,0,0.5);
	}

	.booking-sidebar .booking-sidebar__modal {
		z-index: 2;
		position: absolute;
		margin: 16px;
		padding: 16px;
		left: 0px;
		right: 0px;
		overflow: auto;
		overscroll-behavior: contain;
		background-color: var(--card-bg);
		border-radius: var(--border-radius);
		box-shadow: var(--shadow-xl);
	}
}
</style>